/**
 * Copyright (c) 2014,2017 Contributors to the Eclipse Foundation
 * 
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 * 
 * SPDX-License-Identifier: EPL-2.0
 */
package org.eclipse.smarthome.model.script.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.smarthome.model.script.ScriptRuntimeModule;
import org.eclipse.smarthome.model.script.ScriptServiceUtil;
import org.eclipse.smarthome.model.script.ScriptStandaloneSetup;
import org.eclipse.smarthome.model.script.ServiceModule;
import org.eclipse.smarthome.model.script.engine.ScriptEngine;
import org.eclipse.smarthome.model.script.ide.ScriptIdeModule;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class ScriptIdeSetup extends ScriptStandaloneSetup {
  @Override
  public Injector createInjector() {
    ScriptServiceUtil _scriptServiceUtil = this.getScriptServiceUtil();
    ScriptEngine _scriptEngine = this.getScriptEngine();
    ServiceModule _serviceModule = new ServiceModule(_scriptServiceUtil, _scriptEngine);
    ScriptRuntimeModule _scriptRuntimeModule = new ScriptRuntimeModule();
    ScriptIdeModule _scriptIdeModule = new ScriptIdeModule();
    return Guice.createInjector(_serviceModule, Modules2.mixin(_scriptRuntimeModule, _scriptIdeModule));
  }
}
